%define		module_name engage

Name:		e_modules-%{module_name}
Version:	1.0.0
Release:	1%{?dist}
Summary:	%{module_name} module for the Enlightenment window manager

Group:		User Interface/Desktops
License:	BSD
URL:		http://www.enlightenment.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  enlightenment-devel >= 0.16.999, gettext-devel edje-devel >= 0.5.0
BuildRequires:  libXext-devel
Requires:       enlightenment >= 0.16.999
Obsoletes:      e_modules-itask-ng

%description
This is the Engage module for Enlightenment.
It will hold all of your open applications for fast switching and
is also an apllication launcher.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags} CPPFLAGS="-include config.h"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_libdir}/enlightenment/modules/%{module_name}*

%changelog
* Thu Mar 10 2011 Chelban Vasile <vchelban@fedoramd.org> 0.0.1-1
- initial package

